Subject: Re: Howto submit drivers/patches ?

From: Vitaly Bordug <[email-masked]>
Date: Mon, 19 Dec 2005 13:09:46 +0300

David H. Lynch Jr. wrote:
> 	I am just polishing off bringup a Xilinx Virtex IV/ppc405 system with
> minimal hardware under 2.6.14.4.
> 	I have a collection of patches that I can submit for the specific,
> board, for the Virtex IV, for board specific hardware, ...
> 	Additionally I have 2 complete boot loader through full serial driver
> implementations of a pseudo serial console driver for this board when it
> is in a HOST development system - it is a compact flash card normally
> plugged into a PC during development and using the PC as the console,
> and a complete serial driver chain for the Xilinx UartLite as a console
> when not in a Host, or as a general serial driver. The Xilinx Driver is
> based heavily on other 2.6 driver/serial drivers and not the 2.4
> implementation from Xilinx.
> 
> 	Is this list the right place to submit this ?
Yes, this is the right place.
> 	Is there a HOWTO addressing the rules/procedures to do so.
> 
Dunno actually, but that is not that tricky. Just send patches here, splitted if 
possible to understand better what each one does, don't forget detailed description of a change 
and the Signed-off-by: line. 
> 	I have not looked at the kernel style guides, but the style of this
> code is pretty much identical to other Kernel code. The UartLite driver
> is virtually indistinguishable from other driver/serial drivers except
> the few places where hardware differences require changes, and that
> there is a full tree of end-end support similar to what exists for the
> 8250's.
> 
> David H. Lynch Jr.
> DLA Systems
> 354 Rudy Dam Rd.
> Lititz, PA 17543
> 717.627.3770
> 
> 
> 
> 
> 
> 
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
Sincerely, 
Vitaly